@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=PT+Sans:ital,wght@0,400;0,700;1,400;1,700&display=swap');

html{
    scroll-behavior: smooth;
}
/* constants */
:root{
    --color_main_menu_text: #264549;
    --color_main_menu_text_hover: #A48A7B;
    --color_dark: #031e23;
    --color_green: #20A84D;
    --color_green_light: #71B746;
    --color_dark_grey: #2c353e;
    --color_dark_grey_1: #232d36;
    --color_dark_grey_light: #323c45;
    --color_dark_grey_2: #bdbdbc;
    --color_grey_paragraph: #667380;
    --color_blue: #06a5df;
    --color_blue_light: #68c8ef;
    --size_gap_top: 90px;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* default */
body{
    font-family: "Montserrat", sans-serif !important;
}
ul{
    list-style: none;
}
a{
    text-decoration: var(--color_main_menu_text);
}
a:hover{
    color: var(--color_main_menu_text_hover) !important;
}
.mc_wrapper{
    width: 100%;
    background-color: #fff;
}
h1, h2, h3{
    font-family: "Montserrat", sans-serif !important;
}
p, li{
    font-family: "Montserrat", sans-serif !important;
    color: var(--color_grey_paragraph);
    font-size: 14px;
}

/* navigation */
.mc_header{
    background-color: grey;
    height: 100vh;
}

/* home slider */

    /* .slideshow-container */
.slideshow-container{
    position: relative;
    margin: auto;
}

    /* Hide the images by default */
.mySlides{
    display: none;
}

    /* Next & previous buttons */
.mc_home_slider_btn{
    cursor: pointer;
    position: absolute;
    top: 45%;
    width: auto;
    margin-top: -22px;
    padding: 9px 16px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;    
    background-color: rgba(0,0,0,0.8);
}
.next{
    right: 0;
    border-radius: 3px 0 0 3px;
}
.prev:hover, 
.next:hover{
    background-color: rgba(0, 0, 0, 0.9);
    color: var(--color_blue_light) !important;
}

    /* Caption text */
.text{
    color: #f2f2f2;
    font-size: 15px;
    padding: 8px 12px;
    position: absolute;
    bottom: 8px;
    width: 100%;
    text-align: center;
}
.mc_home_slider{
    overflow: hidden;
    position: absolute;
    width: 100%;
    height: 100vh;    
}
.mc_home_slide_content{
    position: absolute;
    top: 35%;
    left: 14%;    
}
.mc_home_slide_title{
    margin-bottom: 15px;
    color: #fff;
    font-weight: 800;
}
.mc_home_slide_description{
    color: rgb(226, 226, 226);
    font-weight: 450;
    margin-bottom: 15px;
    line-height: 22px;
    font-size: 14px;
}
.mc_home_slide_cta{
    margin-bottom: 20px;
    font-size: 12px;
    color: #06a5df;
}
.mc_home_slide_cta:hover{
    color: #06a5df !important;
    transform: rotate(5deg);
    
}
.mc_home_slide_img_1,
.mc_home_slide_description_1{
    display: block;
}
.mc_home_slide_img_2,
.mc_home_slide_img_3,
.mc_home_slide_description_2,
.mc_home_slide_description_3
{
    display: none;
}

    /* Number text (1/3 etc) */
.numbertext{
    color: #f2f2f2;
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
}
    
    /* The dots/bullets/indicators */
.dot{
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}
active, .dot:hover{
    background-color: #717171;
}

    /* Fading animation */
.fade{
    animation-name: fade;
    animation-duration: 1.5s;
}
@keyframes fade{
    from{opacity: .4}
    to{opacity: 1}
}

/* page */
#page_type{
    display: none;
}
.mc_page_single_title_area{
    padding: 30px 20px;
    background-color: #fafafa;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.mc_page_single_title_area h2{
    font-weight: 500;
}
.mc_article_title_single{
    margin-bottom: 20px;
    font-weight: 500;
}
.mc_article_description_single{
    font-size: 14px;
    line-height: 25px;
    margin-bottom: 50px;
}
.mc_single{
    display: flex;
    justify-content: space-between;
}
.mc_single_content{
    width: 70%;
}
.mc_content_single{
    margin-top: 20px !important;
    margin-bottom: 50px;
}
.mc_single_content .mc_article_thumbnail_single{
    width: 100%;
    margin-bottom: 20px;
}
.mc_article_details_single{
    display: flex;
    margin-bottom: 20px;
}
.mc_article_date_single{
    margin-left: 10px;
    font-size: 14px;
}
.mc_articles_recent_title{
    font-weight: 500;
    margin-bottom: 10px;
}
.mc_articles_recent_list p{
    line-height: 25px;
}
.mc_articles_recent_list p a{
    color: var(--color_dark_grey);
    transform: .5s;
}
.mc_articles_recent_list p a:hover{
    color: var(--color_blue_light);
}
/* single */
.mc_single_side{
    width: 30%;
    padding: 20px;
}
.mc_header_single{
    background-color: #fff;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: var(--size_gap_top);
}
.mc_navigation_wrapper{
    height: var(--size_gap_top);
    transition: .5s;
}
.mc_navigation_wrapper_active{
    background-color: #ffffff !important;
}
.mc_navigation_wrapper,
.mc_navigation_wrapper_active{
    position: fixed;
    top: 0;
    z-index: 2;
    width: 100%;
}
.mc_navigation{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: var(--size_gap_top);
    margin: 0 auto;
}

/* logo */
.mc_logo_fake{
    width: 100px;
    height: 50px;
}
.mc_logo{
    transition: .5s;
    position: absolute;
    top: 1px;
}
.mc_logo_dark{
    display: none;
}
.mc_logo img{
    width: 220px;
}
.mc_main_menu{
    display: flex;
    justify-content: space-between;
    justify-items: center;
}
.mc_main_menu_item{
    padding-left: 19px;
    padding-right: 19px;
    font-size: 15px;
    letter-spacing: .5px;
    text-transform: capitalize;
    font-family: "Montserrat", sans-serif !important;
    font-optical-sizing: auto;
    font-weight: 200;
    font-style: normal;    
}
.mc_main_menu_item.active{
    color: var(--color_blue_light);
}
.mc_main_menu a{
    color: var(--color_dark);
    transition: .3s;
    color: #fff;
}

.mc_header_single .mc_main_menu_item{
    font-weight: 400;
}
.mc_header_single .mc_main_menu a{
    color: var(--color_dark) !important;
    color: #000 !important;
    transition: .3s;
    color: #fff;
}
.mc_main_menu a:hover{
    color: var(--color_blue_light);
}
.mc_navigation_wrapper_active .mc_main_menu a{
    color: #242e36;
    font-weight: 400;
}
.mc_header_single .mc_navigation_wrapper{
    background-color: #fff;
}
.mc_mobile_nav_area{
    display: flex;
    justify-content: center;
    align-items: center;
}
.mc_nav_button,
.mc_nav_button_close{
    cursor: pointer;
    display: none;
}
.mc_nav_button_close{
    display: none;
    margin-bottom: 5px;
}
.mc_language_switcher{
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    background-color: var(--color_main_menu_text);
    font-size: 12px;
    cursor: pointer;
    transition: .5s;
    border: 1px solid #fff;
    width: 30.5px;
    height: 26.5px;    
    margin-left: .2rem;
    text-transform: uppercase;
}
.mc_language_switcher:hover{
    background-color: var(--color_blue_light);
}
.mc_language_switcher a{
    color: #fff;
}
.mc_btn{
    background-color: var(--color_blue_light);
    width: fit-content;
    padding: 10px 28px;
    cursor: pointer;
    border-radius: 5px;
    transition: .5s;
}
.mc_btn a{
    color: #ffffff;
}
.mc_btn_top{
    background-color: #fff;
    height: 40px;
    width: 40px;
    position: fixed;
    bottom: 20px;
    right: 20px;
    border: 1px solid #000;
    transition: .3s;
    display: flex;
    justify-content: center;
    align-items: center;
    display: none;
    transition: .5s;
    z-index: 3;
}
.mc_btn_top:hover{
    color: var(--color_blue_light);
    border: 1px solid var(--color_blue_light);
}

/* global */
.fa,
.fa-solid{
    color: var(--color_blue);
}
.mc_btn:hover{
    background-color: var(--color_blue);
    color: #ffffff !important;
}
.container_centered{
    margin: 0 auto;
}
.mc_container_short{
    margin-left: 7%;
    margin-right: 7%;
}
.mc_block{
    padding-top: 150px;
    padding-bottom: 90px;
    letter-spacing: 1px;
}
.block_mid{
    width: 90%;
}
.block_padding{
    padding-bottom: 100px;
}
.mc_block_max_width{
    max-width: 1268px;
}

/* services */
.mc_services{
    width: 100%;
    display: flex;
    justify-content: center;
}
.mc_services_animation{
    opacity: 1;
    transform: none;
}
.mc_services_list{
    display: flex;
    justify-content: space-evenly;
    margin-top: -250px;
    z-index: 1;
    position: absolute;
}
.mc_service{
    width: 100%;
    padding-left: 35px;
    padding-right: 35px;
    padding-top: 35px;
    padding-bottom: 35px;
    transition: .9s;
    /* opacity: 0; */
}
/* @media (prefers-reduced-motion: no-preference){
    .mc_service{
        transition: opacity 2s ease;
    }
}
.mc_service_animation{
    opacity: 1;
    transform: none;
} */
.mc_service:nth-child(1){
    background-color: #ffffff;
}
.mc_service:nth-child(2){
    background-color: var(--color_blue_light);
}
.mc_service:nth-child(3){
    background: var(--color_dark_grey);
}
.mc_service:nth-child(2),
.mc_service:nth-child(3){
    color: #ffffff;
}   
.mc_service_title{
    margin-bottom: 1rem;
    font-size: 20px;
    font-weight: 500;
}
.mc_service_description{
    font-size: 14px;
    line-height: 25px;
    font-weight: 400;
    color: #fff;
}
.mc_service:nth-child(1) .mc_service_description{
    color: #667380;
}
.mc_services_list_item{
    width: 32%;
    margin-bottom: 2.2rem;
    transition: .9s;
    opacity: 0;
}
.mc_services_list_item:nth-child(1) h3{
    background-color: #ffffff;
    color: #232d36;
}
.mc_services_list_item:nth-child(1) p{
    background-color: #ffffff;
    color: var(--color_dark_grey_light);
}

/* contact */
.mc_contact{
    transition: .9s;
    opacity: 0;
}
@media (prefers-reduced-motion: no-preference){
    .mc_contact{
        transition: opacity 2s ease;
    }
}
.mc_contact_animation{
    opacity: 1;
    transform: none;
}
.mc_contact .mc_block_wrapper{
    display: flex;
}
.mc_contact_bottom_side{
    padding-right: 20px;
}
.mc_contact_a_msg_title{
    font-weight: 500;
    font-size: 17px;
    margin-bottom: .5rem;
}
.mc_contact_top{
    text-align: center;
    padding-top: 120px;
    padding-bottom: 150px;
    width: 100%;
}
.mc_contact_bottom{
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0 auto;
    width: 92%;
}
.mc_contact_infos{
    display: flex;
    justify-content: space-between;
    margin-bottom: 1em;
    padding-top: 1em;
}
.mc_contact_info{
    line-height: 30px;
}
.mc_contact_title{
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
    margin-bottom: 10px;
    color: #fff;
}
.mc_contact_description{
    font-size: 38px;
    line-height: 45px;
    color: #fff;
}
.mc_location{
    background-color: #fff;
    width: 100%;
    margin-top: 20px;
}

/* figures */
.mc_our_figures{
    height: 500px;
    background-repeat: no-repeat;
    background-size: cover;
    padding-top: 350px;
    padding-bottom: 350px;
}
.mc_figures_wrapper{
    margin: 0 auto;
}
.mc_our_figures .mc_block_wrapper{
    color: #ffffff;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;
    justify-content: center;
    text-align: center;
}
.mc_our_figures_top h3{
    font-size: 38px;
    font-weight: 500;
    margin-bottom: .5rem;
}
.mc_our_figures_top p{
    margin-bottom: 1rem;
}
.mc_our_figures .mc_block_wrapper .mc_our_figures_bottom{
    display: flex;
    width: 75%;
    justify-content: space-between;
}
.mc_our_figures .mc_block_wrapper .mc_our_figures_bottom div{
    text-align: center;
}
.mc_figure{
    font-family: "Montserrat", sans-serif;
    opacity: 0;
}
@media (prefers-reduced-motion: no-preference){
    .mc_figure{
        transition: opacity 2s ease;
    }
}
.mc_figure_animation{
    opacity: 1;
    transform: none;
}
.mc_figure_figure{
    font-size: 38px;
    font-weight:500;
    margin-bottom: .5rem;
}
.mc_our_figures .mc_block_wrapper .mc_our_figures_bottom .mc_figure_description{
    font-size: 18px;
    color: var(--color_dark_grey_2);
}

/* about */
.mc_about{
    width: 100%;
    padding-top: 50px;
    padding-bottom: 200px;
    background-size: cover;
    opacity: 0;
    /* border: 1px solid red; */
}
@media (prefers-reduced-motion: no-preference){
    .mc_about{
        transition: opacity 2s ease;
    }
}
.mc_about_animation{
    opacity: 1;
    transform: none;
}
.mc_about h3{
    font-size: 46px;
    font-weight: 500;
}
.mc_about_title{
    margin-bottom: 1rem;
}
.mc_about_subtitle{
    font-size: 28px;
    color: #232d36;
    margin-bottom: 1rem;
}
.mc_about_summary,
.mc_about_description{
    font-size: 14px;
    font-style: normal;
}
.mc_about_summary{
    color: #b2b6b9;
    margin-bottom: 1rem;
}
.mc_about_description{
    color: #667380;
    line-height: 1.5rem;
    width: 65%;
}
.mc_about .mc_block_wrapper div{
    width: 50%;
}

/* blog */
.mc_blog{
    padding-top: 100px;
}
.mc_blog_top{
    margin: 0 auto;
    text-align: center;
    margin-bottom: 2rem;
}
.mc_blog_title{
    margin-bottom: 0.5em;
}
.mc_blog_list{
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
}
.mc_blog_article{
    width: 31%;
    margin-bottom: 50px;
}
h3 .mc_blog_article_link{
    color: #000;
    transition: .5s;
}
h3 .mc_blog_article_link:hover{
    color: var(--color_blue_light);
}
.mc_blog_article_link img{
    transition: .5s;
}
.mc_blog_article_link img:hover{
    opacity: .8;
}
.mc_blog_article_image{
    width: 100%;
    margin-bottom: 1.75em;
}
.mc_blog_article_title{
    margin-bottom: .5em;
}
.mc_blog_article_date{
    margin-bottom: 1.7em;
}
.mc_blog_article_content{
    font-family: "PT Sans", sans-serif;
    line-height: 1.5rem;
}

/* Documents */
.mc_documents{
    padding-top: 100px;
    padding-bottom: 100px;
}
.mc_documents_top{
    margin: 0 auto;
    text-align: center;
    margin-bottom: 2rem;
}
.mc_documents_title{
    margin-bottom: 0.5em;
}
.mc_documents_list{
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
    flex-wrap: wrap;
}
.mc_document{
    width: 31%;
    max-height: 596px;
    text-align: center;
    transition: .9s;
    opacity: 0;
}
@media (prefers-reduced-motion: no-preference){
    .mc_document{
        transition: opacity 2s ease;
    }
}
.mc_document_animation{
    opacity: 1;
    transform: none;
}
.mc_document_excerpt{
    margin-bottom: 20px;
}
.mc_document_link{
    color: var(--color_blue_light);
    transition: .5s;margin-top: 20px;
}
.mc_document_link:hover{
    color: var(--color_blue_light);
}
.mc_document_link img{
    transition: .5s;
}
.mc_document_link img:hover{
    opacity: .8;
}
.mc_document_image{
    width: 100%;
    margin-bottom: 1.75em;
}
.mc_document_title{
    margin-bottom: .5em;
}
.mc_document_date{
    margin-bottom: 1.7em;
}
.mc_document_excerpt{
    font-family: "PT Sans", sans-serif;
    line-height: 1.5rem;
}

/* Testimonial */
.mc_testimonial{
    background-size: cover;
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-repeat: no-repeat;
    background-size: cover;
    margin-bottom: 100px;
}
.mc_testimonial_top{
    text-align: center;
    padding-top: 120px;
    padding-bottom: 150px;
    width: 100%;
}
.mc_testimonial_title{
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
    margin-bottom: 10px;
}
.mc_testimonial_description{
    font-size: 38px;
    line-height: 45px;
    color: #fff;
}
.mc_testimonial_bottom{
    display: flex;
    max-width: 1280px;
    margin-top: -50px;
    background-color: #fff;
    color: var(--color_dark_grey);
    padding: 5px;
}
.mc_testimonial_message{
    color: #000;
    padding: 50px 50px;
    opacity: 0;
}
@media (prefers-reduced-motion: no-preference){
    .mc_testimonial_message{
        transition: opacity 2s ease;
    }
}
.mc_testimonial_message_animation{
    opacity: 1;
    transform: none;
}
.mc_testimonial_message_description{
    margin-bottom: 15px;
}
.mc_testimonial_message_author{
    margin-bottom: 5px;
    font-weight: 600;
    color: #000;
}
.mc_bottom_line{
    border-top: 1px solid var(--color_dark_grey_2);
    margin: 0 auto;
}

/* footer */
.mc_footer{
    padding-top: 50px;
    padding-bottom: 50px;
    font-family: "Montserrat", sans-serif !important;
}
.mc_footer h3{
    margin-bottom: 1.75rem;
}
.mc_footer_top{
    display: flex;
    justify-content: space-between;
    padding-bottom: 40px;
}
.mc_footer_bottom{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 40px;
}
.mc_footer_logo img{
    width: 150px;
}
.mc_footer_col li{
    line-height: 26px;
    font-weight: 600;
}
.mc_footer_col li a{
    color: var(--color_dark);
    transition: .5s;
}
.mc_footer_col li a:hover{
    color: var(--color_blue_light);
}
.mc_home_slider_block{
    height: 600px;
    background-color: #000;
}

/* media 1291px */
@media screen and (min-width: 1291px){
    .mc_home_slide_content{
        position: absolute;
        top: 36%;
    }
    .mc_home_slide_description{
        font-size: larger;
        line-height: 32px;
    }
    .mc_home_slide_cta{
        font-size: larger;
        font-weight: 500;
    }
}

/* media 1290px */
@media screen and (max-width: 1290px) {
    .mc_main_menu{
        flex-direction: column;
        position: absolute;
        top: var(--size_gap_top) !important;
        left: 0%;
        width: 100%;
        background-color: rgba(0, 0, 0, 0.9);
        padding-top: 120px;
        padding-bottom: 120px;
        transition: .3s;
        z-index: 3 !important;
        display: none;
    }
    .mc_main_menu li{
        line-height: 3em;
        font-size: 22px;
        color: #fff !important;
    }
    .mc_header_single .mc_main_menu li a {
        color: #fff !important;
    }
    .mc_main_menu.active{
        width: 100%;
        display: block;
    }
    .mc_mobile_nav_area{
        border-radius: 4px;
        justify-content: space-between;
    }
    .mc_nav_button{
        display: block;
    }    
    .mc_about .mc_block_wrapper div{
        width: 100%;
    }
    .mc_block_max_width{
        max-width: 92.5%;
    }
    .mc_testimonial_bottom{
        flex-direction: column;
    }

/* contact */
    .mc_contact_3_4,
    .mc_contact_1_4{
        width: 100%;
    }
    .mc_contact .mc_block_wrapper{
        flex-direction: column;
    }
    .mc_contact_form{
        padding: 40px 10px;
    }
    .mc_contact_form .wpcf7{
        width: 100%;
    }    
    .mc_contact_form form{
        width: 100%;
    }
    .mc_contact_form_input input{
        width: 100%;
    }
    .mc_contact_form_btn{
        text-align: center;
    }
}

/* media 960px */
@media screen and (max-width: 960px) {

    /* about */
    .mc_about{
        margin-top: 160px;
    }
    
    /* slider */
    .mc_home_slide_1{
        display: none !important;
    }
    .mc_home_slide_2{
        border: 1px solid red;
    }
    .mc_services_list,
    .mc_our_figures_bottom,
    .mc_blog_list{
        flex-direction: column;
    }
    .mc_blog_article{
        width: 100%;
    }
    .mc_single{
        flex-direction: column;
    }
    .mc_single_content,
    .mc_single_side{
        width: 100%;
    }
    .mc_footer_top{
        flex-wrap: wrap;
    }
    .mc_contact_a_msg{
        text-align: center;
    }    
    .mc_footer_bottom{
        flex-direction: column;
    }
}

/* 800px */
@media screen and (max-width: 800px){
    .mc_home_slide_img_1,
    .mc_home_slide_img_3,
    .mc_home_slide_description_1,
    .mc_home_slide_description_3{
        display: none;
    }
    .mc_home_slide_img_2,
    .mc_home_slide_description_2{
        display: block;
    }
    .mc_home_slide_content{
        margin-top: 60px;
        top: 27%;
        left: 0%;   
        width: 100%;
        text-align: center;
        padding-top: 40px;
        padding-bottom: 40px;
    }   
    .mc_home_slide_description{
        margin: 0 auto;
        width: 80%;
        font-size:larger;
        padding-top: 20px;
        padding-bottom: 30px;
        line-height: 30px;
    }
    .mc_home_slide_cta{
        font-size: larger;
    }
    .mc_home_slider_btn{
        top: 45%;
        padding: 16px 20px;
    }
    .next{
        right: 10px;
    }
    .prev{
        left: 10px;
    }
    .mc_contact_top{
        background-position: center;
    }
    .mc_contact_infos{
        display: flex;
        justify-content: space-between;
        flex-direction: column;
    }       
    
    /* .mc_document */
    .mc_documents_list{
        flex-direction: column;
    }
    .mc_document{
        width: 100%;
        margin-bottom: 50px;
    }
}

/* media 640px */
@media screen and (max-width: 640px) {
    .mc_services{
        margin-bottom: 470px;
    }
    .mc_about_description{
        width: 100%;
    }
    .mc_contact_a_msg{
        text-align: center;
    }    
}

/* 414px */
@media screen and (max-width: 414px){
    .mc_home_slide_content{
        margin-top: -120px;
        position: absolute;
        left: 0%;   
        width: 100%;
        text-align: center;
        padding-top: 40px;
        padding-bottom: 80px;        
    }       
    .mc_home_slide_description{
        font-weight: 500;
        line-height: 40px;
        width: 70%;
    }
    .mc_home_slide_img_1,
    .mc_home_slide_img_2,
    .mc_home_slide_description_1,
    .mc_home_slide_description_2
    {
        display: none;
    }
    .mc_home_slide_img_3,
    .mc_home_slide_description_3{
        display: block;
    }
    .mc_home_slide_cta{
        font-size: smaller;
        font-weight: 500;
    }    
    .mc_home_slider_btn{
        top: 40%;
        padding: 12px 16px;
    }
    .next{
        right: 3px;
    }
    .prev{
        left: 3px;
    }    
}